Print Friendly

# Class Ext.data.MemoryProxy

Package: | Ext.data
Class: | MemoryProxy
Extends: | Object
Defined In: | MemoryProxy.js

An implementation of Ext.data.DataProxy that simply passes the data specified in its constructor to the Reader when its load method is called.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| MemoryProxy(`Object data`) | MemoryProxy
| load(`Object params`, `Ext.data.DataReader) reader`, `Function callback`, `Object scope`, `Object arg`) : void | MemoryProxy
Load data from the requested source (in this case an in-memory data object passed to the constructor), read the data ...

## Public Events

This class has no public events.

## Constructor Details

### MemoryProxy

`public function MemoryProxy(`Object data`)`
Parameters:

- `data` : Object
  The data object which the Reader uses to construct a block of Ext.data.Records.

## Method Details

### load

`public function load(`Object params`, `Ext.data.DataReader) reader`, `Function callback`, `Object scope`, `Object arg`)`
Load data from the requested source (in this case an in-memory data object passed to the constructor), read the data object into a block of Ext.data.Records using the passed Ext.data.DataReader implementation, and process that block using the passed callback.
Parameters:

- `params` : Object
  This parameter is not used by the MemoryProxy class.
- `reader` : Ext.data.DataReader)
  The Reader object which converts the data object into a block of Ext.data.Records.
- `callback` : Function
  The function into which to pass the block of Ext.data.records. The function must be passed
  - The Record block object
  - The "arg" argument from the load function
  - A boolean success indicator
- `scope` : Object
  The scope in which to call the callback
- `arg` : Object
  An optional argument which is passed to the callback as its second parameter.

Returns:

- `void`

This method is defined by MemoryProxy.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.